Bug 57171 - Installer will not warn about inadequate swap space when manually partitioning
Installer will not warn about inadequate swap space when manually partitioning
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-06 06:47 EST by Ed
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-06 06:47:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed 2001-12-06 06:47:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 98; Agilent 
Technologies IE5.01 SP1)

Description of problem:
My machine has 256Mb RAM, for RH7.1 I used 16MB /swap and 256MB /boot, I 
reinstalled RH7.2 but kept original partitions using Disk druid to (re)set 
labels. It seemed to install OK (warning about /boot being too small) but 
crashed on booting with (I think) a complaint about virtual memory. I 
finally increased /boot to 50Mb and reinstalled 7.1, checked that 
everything seemed OK and then tried to upgrade to 7.2, this time I got a 
warning about not enough swap space and asking where to put a 256Mb 
(approx) swap file. 

The bug is that the warning didn't appear when installing / manually 
partitioning with disk druid.

Regrettably it still doesn't boot but that is a separate problem.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Take a disk already partitioned but with with /swap == system RAM size
2. install rh7.2, manually partition with disk druid but stay with 
existing partitions and just use DD to set labels
3. continue with installation
	

Actual Results:  The system ran out of memory when booting

Expected Results:  I should have had a warning that my /swap was too 
small. Upgrading as opposed to installing had the correct behaviour.

Additional info:
Comment 1 Jeremy Katz 2001-12-06 12:30:31 EST
The swap was only too small for an upgrade.  Doing an upgrade is much more
intensive than an install and thus requires more swap space.
Comment 2 Ed 2001-12-10 10:36:58 EST
The additional comment is exactly wrong! The bug originally manifested itself 
on an install and as I was careful to point the bug was the the lack of warning 
about inadequate swap space which I assume was respnsible for the out of memory 
crash on booting.
Comment 3 Ed 2001-12-10 12:06:44 EST
On reflection, my preceding comment was too hasty (think before engaging 
fingers to type). The problem that concerned me was a boot failure after 
installing RH7.2, as I have an Athlon system it is possible that the known 
Athlon boot problem may have been responsible for the crash and that the swap 
space warning was a Red Herring.

Note You need to log in before you can comment on or make changes to this bug.